Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

pythonPackages.toolz: 0.10.0 -> 0.11.1 #101363

Merged
merged 2 commits into from Oct 31, 2020
Merged

pythonPackages.toolz: 0.10.0 -> 0.11.1 #101363

merged 2 commits into from Oct 31, 2020

Conversation

@nbke
Copy link
Contributor

@nbke nbke commented Oct 22, 2020

Motivation for this change

https://github.com/pytoolz/toolz/releases/tag/0.11.1

Things done
  • Tested using sandboxing (nix.useSandbox on NixOS, or option sandbox in nix.conf on non-NixOS linux)
  • Built on platform(s)
    • NixOS
    • macOS
    • other Linux distributions
  • Tested via one or more NixOS test(s) if existing and applicable for the change (look inside nixos/tests)
  • Tested compilation of all pkgs that depend on this change using nix-shell -p nixpkgs-review --run "nixpkgs-review wip"
  • Tested execution of all binary files (usually in ./result/bin/)
  • Determined the impact on package closure size (by running nix path-info -S before and after)
  • Ensured that relevant documentation is up to date
  • Fits CONTRIBUTING.md.
@rmcgibbo
Copy link
Contributor

@rmcgibbo rmcgibbo commented Oct 29, 2020

I didn't finish running nix-review before killing it, but it looks like there might be an issue where the new release doesn't support python2. Since some packages are depending on toolz for python2, it might be a good idea to split it up into a default.nix and a 2.nix, like pandas has done, so that the python27Packages version can use the older release of toolz.

$ nix-review pr 101363
$ git -c fetch.prune=false fetch --force https://github.com/NixOS/nixpkgs master:refs/nixpkgs-review/0 pull/101363/head:refs/nixpkgs-review/1
remote: Enumerating objects: 16, done.
remote: Counting objects: 100% (16/16), done.
remote: Compressing objects: 100% (9/9), done.
remote: Total 19 (delta 8), reused 7 (delta 7), pack-reused 3
Unpacking objects: 100% (19/19), 34.88 KiB | 871.00 KiB/s, done.
From https://github.com/NixOS/nixpkgs
   066bf7dd5d1..c69407d6060  master     -> refs/nixpkgs-review/0
$ git worktree add /home/mcgibbon/.cache/nixpkgs-review/pr-101363-2/nixpkgs c69407d60608b239a8f90f04e66fc8f9aa91c7db
Preparing worktree (detached HEAD c69407d6060)
Updating files: 100% (23067/23067), done.
HEAD is now at c69407d6060 gallery-dl: 1.15.1 -> 1.15.2 (#101977)
$ git merge --no-commit aaf0227a3a7dcfeea2a58dacc354f1715cfe0042
Automatic merge went well; stopped before committing as requested
$ nix build --no-link --keep-going --option build-use-sandbox relaxed -f /home/mcgibbon/.cache/nixpkgs-review/pr-101363-2/build.nix
warning: ignoring the user-specified setting 'sandbox', because it is a restricted setting and you are not a trusted user
builder for '/nix/store/wa9w6p88j874rnn043h3jbl32p4myigw-python2.7-toolz-0.11.1.drv' failed with exit code 1; last 10 log lines:
  adding 'toolz-0.11.1.dist-info/top_level.txt'
  adding 'toolz-0.11.1.dist-info/RECORD'
  removing build/bdist.linux-x86_64/wheel
  Finished executing setuptoolsBuildPhase
  installing
  Executing pipInstallPhase
  /build/toolz-0.11.1/dist /build/toolz-0.11.1
  DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
  Processing ./toolz-0.11.1-py2-none-any.whl
  ERROR: Package 'toolz' requires a different Python: 2.7.18 not in '>=3.5'
cannot build derivation '/nix/store/fja1cmxfc94wxcszlfpjh5i45rsizafn-python2.7-strategies-0.2.3.drv': 1 dependencies couldn't be built
builder for '/nix/store/22jp43i5jabigqbya64j2fwv7542wmzp-python3.7-intake-0.6.0.drv' failed with exit code 1; last 10 log lines:
      result = self.orig_method(*args, **kwargs)
  
  intake/gui/tests/test_gui.py::test_gui_open_plot_panel
    /build/intake-0.6.0/intake/gui/tests/test_gui.py:63: UserWarning: direct access to the entry is deprecated
      assert gui.source.plot.source.entry == sources1[0]
  
  -- Docs: https://docs.pytest.org/en/latest/warnings.html
  =========================== short test summary info ============================
  FAILED intake/catalog/tests/test_caching_integration.py::test_list_of_files
  = 1 failed, 420 passed, 13 skipped, 14 deselected, 13 warnings in 276.76s (0:04:36) =
[6/27/64 built (2 failed)] building python3.8-clifford-1.3.1 (pytestCheckPhase): test_g3c_CUDA.py sssssssssssssss                                         [ 32%]

@rmcgibbo
Copy link
Contributor

@rmcgibbo rmcgibbo commented Oct 29, 2020

Result of nixpkgs-review pr 101363 1

1 package marked as broken and skipped:
  • python37Packages.rl-coach
5 packages failed to build:
  • python27Packages.strategies
  • python27Packages.toolz
  • python37Packages.intake
  • python37Packages.sunpy
  • python38Packages.sunpy
93 packages built:
  • electron-cash
  • electrum
  • eliot-tree
  • hwi (python38Packages.hwi)
  • keepkey_agent (python38Packages.keepkey_agent)
  • python37Packages.altair
  • python37Packages.aplpy
  • python37Packages.atomman
  • python37Packages.batchgenerators
  • python37Packages.caffe
  • python37Packages.clifford
  • python37Packages.cytoolz
  • python37Packages.dask
  • python37Packages.dask-gateway
  • python37Packages.dask-glm
  • python37Packages.dask-image
  • python37Packages.dask-jobqueue
  • python37Packages.dask-ml
  • python37Packages.dask-mpi
  • python37Packages.dask-xgboost
  • python37Packages.datashader
  • python37Packages.diofant
  • python37Packages.distributed
  • python37Packages.eth-utils
  • python37Packages.glymur
  • python37Packages.hwi
  • python37Packages.ibis-framework
  • python37Packages.image-match
  • python37Packages.imagecorruptions
  • python37Packages.imgaug
  • python37Packages.keepkey
  • python37Packages.keepkey_agent
  • python37Packages.mask-rcnn
  • python37Packages.partd
  • python37Packages.pims
  • python37Packages.pyfftw
  • python37Packages.rlp
  • python37Packages.scikitimage
  • python37Packages.sparse
  • python37Packages.spectral-cube
  • python37Packages.strategies
  • python37Packages.streamz
  • python37Packages.stumpy
  • python37Packages.stytra
  • python37Packages.tensorly
  • python37Packages.textacy
  • python37Packages.toolz
  • python37Packages.trezor
  • python37Packages.trezor_agent
  • python38Packages.altair
  • python38Packages.aplpy
  • python38Packages.atomman
  • python38Packages.batchgenerators
  • python38Packages.caffe
  • python38Packages.clifford
  • python38Packages.cytoolz
  • python38Packages.dask
  • python38Packages.dask-gateway
  • python38Packages.dask-glm
  • python38Packages.dask-image
  • python38Packages.dask-jobqueue
  • python38Packages.dask-ml
  • python38Packages.dask-mpi
  • python38Packages.dask-xgboost
  • python38Packages.datashader
  • python38Packages.diofant
  • python38Packages.distributed
  • python38Packages.eth-utils
  • python38Packages.glymur
  • python38Packages.image-match
  • python38Packages.imagecorruptions
  • python38Packages.imgaug
  • python38Packages.intake
  • python38Packages.keepkey
  • python38Packages.mask-rcnn
  • python38Packages.partd
  • python38Packages.pims
  • python38Packages.pyfftw
  • python38Packages.rlp
  • python38Packages.scikitimage
  • python38Packages.sparse
  • python38Packages.spectral-cube
  • python38Packages.strategies
  • python38Packages.streamz
  • python38Packages.stumpy
  • python38Packages.stytra
  • python38Packages.tensorly
  • python38Packages.textacy
  • python38Packages.toolz
  • python38Packages.trezor
  • trezor_agent (python38Packages.trezor_agent)
  • streamlit
  • update-python-libraries

@@ -6,18 +6,16 @@

buildPythonPackage rec {
pname = "toolz";
version = "0.10.0";
version = "0.11.1";
Copy link
Contributor

@jonringer jonringer Oct 29, 2020

Suggested change
version = "0.11.1";
version = "0.11.1";
disabled = isPy27;
  Processing ./toolz-0.11.1-py2-none-any.whl
  ERROR: Package 'toolz' requires a different Python: 2.7.18 not in '>=3.5'
cannot build derivation '/nix/store/fja1cmxfc94wxcszlfpjh5i45rsizafn-python2.7-strategies-0.2.3.drv': 1 dependencies couldn't be built

Copy link
Contributor

@jonringer jonringer Oct 29, 2020

otherwise LGTM

https://github.com/NixOS/nixpkgs/pull/101363
1 package marked as broken and skipped:
python37Packages.rl-coach

2 packages failed to build:
python27Packages.strategies python27Packages.toolz

96 packages built:
electron-cash electrum eliot-tree hwi keepkey_agent python37Packages.altair python37Packages.aplpy python37Packages.atomman python37Packages.batchgenerators python37Packages.caffe python37Packages.clifford python37Packages.cytoolz python37Packages.dask python37Packages.dask-gateway python37Packages.dask-glm python37Packages.dask-image python37Packages.dask-jobqueue python37Packages.dask-ml python37Packages.dask-mpi python37Packages.dask-xgboost python37Packages.datashader python37Packages.diofant python37Packages.distributed python37Packages.eth-utils python37Packages.glymur python37Packages.hwi python37Packages.ibis-framework python37Packages.image-match python37Packages.imagecorruptions python37Packages.imgaug python37Packages.intake python37Packages.keepkey python37Packages.keepkey_agent python37Packages.mask-rcnn python37Packages.partd python37Packages.pims python37Packages.pyfftw python37Packages.rlp python37Packages.scikitimage python37Packages.sparse python37Packages.spectral-cube python37Packages.strategies python37Packages.streamz python37Packages.stumpy python37Packages.stytra python37Packages.sunpy python37Packages.tensorly python37Packages.textacy python37Packages.toolz python37Packages.trezor python37Packages.trezor_agent python38Packages.altair python38Packages.aplpy python38Packages.atomman python38Packages.batchgenerators python38Packages.caffe python38Packages.clifford python38Packages.cytoolz python38Packages.dask python38Packages.dask-gateway python38Packages.dask-glm python38Packages.dask-image python38Packages.dask-jobqueue python38Packages.dask-ml python38Packages.dask-mpi python38Packages.dask-xgboost python38Packages.datashader python38Packages.diofant python38Packages.distributed python38Packages.eth-utils python38Packages.glymur python38Packages.image-match python38Packages.imagecorruptions python38Packages.imgaug python38Packages.intake python38Packages.keepkey python38Packages.mask-rcnn python38Packages.partd python38Packages.pims python38Packages.pyfftw python38Packages.rlp python38Packages.scikitimage python38Packages.sparse python38Packages.spectral-cube python38Packages.strategies python38Packages.streamz python38Packages.stumpy python38Packages.stytra python38Packages.sunpy python38Packages.tensorly python38Packages.textacy python38Packages.toolz python38Packages.trezor trezor_agent streamlit update-python-libraries

Copy link
Contributor Author

@nbke nbke Oct 29, 2020

I created a Python 2 expression instead.

Copy link
Contributor

@jonringer jonringer Oct 30, 2020

pinning of the python 2 package should probably be a separate commit from the bump. that way if we need to revert, we don't remove the python2 version as well

Copy link
Contributor Author

@nbke nbke Oct 30, 2020

The first commit implements the Python 2 package.

@nbke nbke force-pushed the update-toolz branch from aaf0227 to 9b8e7e1 Oct 29, 2020
@nbke nbke force-pushed the update-toolz branch from 9b8e7e1 to 6a66e1b Oct 30, 2020
Copy link
Contributor

@jonringer jonringer left a comment

LGTM

Result of nixpkgs-review pr 101363 1

1 package marked as broken and skipped:
  • python37Packages.rl-coach
1 package failed to build:
  • python37Packages.streamz
97 packages built:
  • electron-cash
  • electrum
  • eliot-tree
  • hwi (python38Packages.hwi)
  • keepkey_agent (python38Packages.keepkey_agent)
  • python27Packages.strategies
  • python27Packages.toolz
  • python37Packages.altair
  • python37Packages.aplpy
  • python37Packages.atomman
  • python37Packages.batchgenerators
  • python37Packages.caffe
  • python37Packages.clifford
  • python37Packages.cytoolz
  • python37Packages.dask
  • python37Packages.dask-gateway
  • python37Packages.dask-glm
  • python37Packages.dask-image
  • python37Packages.dask-jobqueue
  • python37Packages.dask-ml
  • python37Packages.dask-mpi
  • python37Packages.dask-xgboost
  • python37Packages.datashader
  • python37Packages.diofant
  • python37Packages.distributed
  • python37Packages.eth-utils
  • python37Packages.glymur
  • python37Packages.hwi
  • python37Packages.ibis-framework
  • python37Packages.image-match
  • python37Packages.imagecorruptions
  • python37Packages.imgaug
  • python37Packages.intake
  • python37Packages.keepkey
  • python37Packages.keepkey_agent
  • python37Packages.mask-rcnn
  • python37Packages.partd
  • python37Packages.pims
  • python37Packages.pyfftw
  • python37Packages.rlp
  • python37Packages.scikitimage
  • python37Packages.sparse
  • python37Packages.spectral-cube
  • python37Packages.strategies
  • python37Packages.stumpy
  • python37Packages.stytra
  • python37Packages.sunpy
  • python37Packages.tensorly
  • python37Packages.textacy
  • python37Packages.toolz
  • python37Packages.trezor
  • python37Packages.trezor_agent
  • python38Packages.altair
  • python38Packages.aplpy
  • python38Packages.atomman
  • python38Packages.batchgenerators
  • python38Packages.caffe
  • python38Packages.clifford
  • python38Packages.cytoolz
  • python38Packages.dask
  • python38Packages.dask-gateway
  • python38Packages.dask-glm
  • python38Packages.dask-image
  • python38Packages.dask-jobqueue
  • python38Packages.dask-ml
  • python38Packages.dask-mpi
  • python38Packages.dask-xgboost
  • python38Packages.datashader
  • python38Packages.diofant
  • python38Packages.distributed
  • python38Packages.eth-utils
  • python38Packages.glymur
  • python38Packages.image-match
  • python38Packages.imagecorruptions
  • python38Packages.imgaug
  • python38Packages.intake
  • python38Packages.keepkey
  • python38Packages.mask-rcnn
  • python38Packages.partd
  • python38Packages.pims
  • python38Packages.pyfftw
  • python38Packages.rlp
  • python38Packages.scikitimage
  • python38Packages.sparse
  • python38Packages.spectral-cube
  • python38Packages.strategies
  • python38Packages.streamz
  • python38Packages.stumpy
  • python38Packages.stytra
  • python38Packages.sunpy
  • python38Packages.tensorly
  • python38Packages.textacy
  • python38Packages.toolz
  • python38Packages.trezor
  • trezor_agent (python38Packages.trezor_agent)
  • streamlit
  • update-python-libraries

@jonringer jonringer merged commit a103c58 into NixOS:master Oct 31, 2020
17 checks passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants